#include <fstream>
#include <stdint.h>
#include <math.h>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	long long n, m;
	long long count = 0;
	long long delta = INT64_MAX;

	input.open("GANMNHAT.inp");
	output.open("GANMNHAT.out");
	input >> n >> m;

	long long a[n];
	for (int i = 0; i < n; i++)
	{
		input >> a[i];
	}

	for (int i = 0; i < n; i++)
	{
		if (abs(a[i] - m) < delta)
		{
			delta = abs(a[i] - m);
		}
	}

	long long temp = m - delta;
	for (int i = 0; i < n; i++)
	{
		if (a[i] == temp)
		{
			output << temp;
			
			return 0;
		}
	}
	output << -temp;
	return 0;
}